#!/usr/bin/env zsh

### Job name
#BSUB -J SERIALJOB

### File / path where STDOUT will be written, the %J is the job id
#BSUB -o SERIALJOB.%J

### (OFF) Different file for STDERR, if not to be merged with STDOUT
# #BSUB -e SERIALJOB.e%J

### Request the time you need for execution in minutes
### The format for the parameter is: [hour:]minute,
### that means for 15 minutes you could also use this: 00:15
#BSUB -W 15

### Request vitual memory you need for your job in MB
#BSUB -M 1024

### (OFF) Specify your mail address
# #BSUB -u user@rwth-aachen.de

### Send a mail when job is done
#BSUB -N

### Export an environment var

export A_ENV_VAR=10

#set -x

pwd
echo "Compiling..."
$FC $FLAGS_FAST -o f_wrong.a.out hello.f90
$CC $FLAGS_FAST -o c_wrong.a.out hello.c
echo "Compiled!"
file f.a.out
file c.a.out
echo "Lets run!"
./f.a.out
./c.a.out
echo "Done"
